Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto
Class ExemptionMechanismException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.crypto.ExemptionMechanismException

All Implemented Interfaces:
  Serializable

public class ExemptionMechanismException
extends GeneralSecurityException

This is the generic ExemptionMechanism exception.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`ExemptionMechanismException()` Constructs a ExemptionMechanismException with no detailed message.
`ExemptionMechanismException(String msg)` Constructs a ExemptionMechanismException with the specified detailed message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExemptionMechanismException

    public ExemptionMechanismException()

  Constructs a ExemptionMechanismException with no detailed message. (A detailed message is a String that describes this particular exception.)

### ExemptionMechanismException

    public ExemptionMechanismException(String msg)

  Constructs a ExemptionMechanismException with the specified detailed message. (A detailed message is a String that describes this particular exception.)

Parameters:
  `msg` - the detailed message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.